Name:		arpwatch
Version:	2.1a11
Release:	3mdk
# Gee...
Epoch:		2
Group:		Monitoring
BuildRequires:	libpcap-devel
License:	BSD
Url: 		ftp://ftp.ee.lbl.gov
Source:		ftp://ftp.ee.lbl.gov/arpwatch-%version.tar.bz2
Source1:	arpwatch.init.bz2
Patch:		arpwatch-Makefile-fixes.patch.bz2
BuildRoot:	%{_tmppath}/%{name}-buildroot
Summary: 	Network monitoring tools for tracking IP addresses on the network.
PreReq:		rpm-helper

%description
The arpwatch package contains arpwatch and arpsnmp.  Arpwatch and arpsnmp
are both network monitoring tools.  Both utilities monitor Ethernet or
FDDI network traffic and build databases of Ethernet/IP address pairs,
and can report certain changes via email.

Install the arpwatch package if you need networking monitoring devices
which will automatically keep traffic of the IP addresses on your
network.

%prep
%setup -q
%patch -p1

%build
libtoolize --copy --force

%serverbuild

%configure

%make ARPDIR=%_localstatedir/arpwatch

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/{%_localstatedir/arpwatch,%{_sbindir},%{_mandir}/man8,%{_initrddir}}

%makeinstall_std install-man

for n in arp2ethers massagevendor; do
	install -m755 $n $RPM_BUILD_ROOT%_localstatedir/arpwatch
done
for n in *.awk *.dat; do
	install -m644 $n $RPM_BUILD_ROOT%_localstatedir/arpwatch
done

bzcat %{SOURCE1} >  $RPM_BUILD_ROOT%{_initrddir}/arpwatch

%clean
rm -Rf $RPM_BUILD_ROOT

%post
%_post_service %name

%preun
%_preun_service %name

%files
%defattr(-,root,root)
%doc README CHANGES
%{_sbindir}/*
%{_mandir}/man*/*
%config(noreplace) %attr(755,root,root) %{_initrddir}/arpwatch
%dir	%_localstatedir/arpwatch
%config(noreplace) %_localstatedir/arpwatch/arp.dat
#
# (fg) 20010403 DON'T PUT THIS AS NOREPLACE! Ethernet codes are bound to
# change, and if ever you have a new one, submit it to arpwatch author!
#
%config %_localstatedir/arpwatch/ethercodes.dat
%_localstatedir/arpwatch/*.awk
%_localstatedir/arpwatch/arp2ethers
%_localstatedir/arpwatch/massagevendor


%changelog
* Tue Jul 22 2003 Per yvind Karlsen <peroyvind@sintrax.net> 2.1a11-3mdk
- rebuild
- use %%make macro

* Sat Aug 10 2002 Warly <warly@mandrakesoft.com> 2.1a11-2mdk
- rpmlint fixes

* Thu Mar 28 2002 Warly <warly@mandrakesoft.com> 2.1a11-1mdk
- new version

* Tue Apr 03 2001 Francis Galiegue <fg@mandrakesoft.com> 2.1a10-2mdk

- Use %%serverbuild and %%_{post,preun}_service
- Added comment to explain why ethercodes.dat shouldn't be noreplace

* Mon Jan 01 2001 Vincent Danen <vdanen@mandrakesoft.com> 2.1a10-1mdk
- 2.1a10
- security fix, use mkstemp instead of mktemp

* Wed Aug 30 2000 Francis Galiegue <fg@mandrakesoft.com> 2.1a6-12mdk
- Use %{_initrddir}
- Oops, fixed %preun

* Tue Aug 22 2000 Francis Galiegue <fg@mandrakesoft.com> 2.1a6-11mdk

- /var/arpwatch/arp.dat is %config(noreplace)
- Added %post and %preun for chkconfig

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 2.1a6-10mdk
- automatically added BuildRequires


* Fri Jul 21 2000 Francis Galiegue <fg@mandrakesoft.com> 2.1a6-9mdk

- s,tmpdir,tmppath,


* Thu Jul 20 2000 Francis Galiegue <fg@mandrakesoft.com> 2.1a6-8mdk

- Split to its own source package
- BM

